Bug 386971 - GoogleEarth Memory Problem
GoogleEarth Memory Problem
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: google-perftools (Show other bugs)
8
All Linux
low Severity medium
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-16 10:08 EST by Ralph De Witt
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-16 10:25:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ralph De Witt 2007-11-16 10:08:31 EST
Description of problem:
Summary
    SELinux is preventing /opt/google-earth/googleearth-bin from changing the
    access protection of memory on the heap.

Detailed Description
    The /opt/google-earth/googleearth-bin application attempted to change the
    access protection of memory on the heap (e.g., allocated using malloc).
    This is a potential security problem.  Applications should not be doing
    this. Applications are sometimes coded incorrectly and request this
    permission.  The http://people.redhat.com/drepper/selinux-mem.html web page
    explains how to remove this requirement.  If /opt/google-earth/googleearth-
    bin does not work and you need it to work, you can configure SELinux
    temporarily to allow this access until the application is fixed. Please file
    a http://bugzilla.redhat.com/bugzilla/enter_bug.cgi against this package.

Allowing Access
    If you want /opt/google-earth/googleearth-bin to continue, you must turn on
    the allow_execheap boolean.  Note: This boolean will affect all applications
    on the system.

    The following command will allow this access:
    setsebool -P allow_execheap=1

Additional Information        

Source Context                system_u:system_r:unconfined_t:s0
Target Context                system_u:system_r:unconfined_t:s0
Target Objects                None [ process ]
Affected RPM Packages         
Policy RPM                    selinux-policy-3.0.8-53.fc8
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   plugins.allow_execheap
Host Name                     localhost.localdomain
Platform                      Linux localhost.localdomain 2.6.23.1-49.fc8 #1 SMP
                              Thu Nov 8 21:41:26 EST 2007 i686 i686
Alert Count                   1
First Seen                    Fri 16 Nov 2007 09:35:07 AM EST
Last Seen                     Fri 16 Nov 2007 09:35:07 AM EST
Local ID                      8069dc01-9383-442e-b133-f7e26b674cf0
Line Numbers                  

Raw Audit Messages            

avc: denied { execheap } for comm=googleearth-bin egid=500 euid=500 exe=/opt
/google-earth/googleearth-bin exit=-13 fsgid=500 fsuid=500 gid=500 items=0
pid=11825 scontext=system_u:system_r:unconfined_t:s0 sgid=500
subj=system_u:system_r:unconfined_t:s0 suid=500 tclass=process
tcontext=system_u:system_r:unconfined_t:s0 tty=(none) uid=500



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Tom "spot" Callaway 2007-11-16 10:25:32 EST
Google Earth is a proprietary application, not included in Fedora. Please file
this bug with Google.

This component is for google-perftools, which has nothing to do with Google Earth.

Note You need to log in before you can comment on or make changes to this bug.